import echarts from 'echarts'
import { getXAxisArray } from './common'

export const barInit = (node, {
  timeType, startTime, endTime, channelInfo
} = {}) => {
  if (!node) {
    return
  }
  var myChart = echarts.init(node)
  // 指定图表的配置项和数据
  var option = {
    tooltip: {},
    grid: {
      left: '3%',
      right: '4%',
      bottom: '3%',
      top: '8%',
      containLabel: true
    },
    legend: {
      // data:['下载量']
    },
    xAxis: {
      data: getXAxisArray({ timeType, startTime, endTime })// ['周一', '周二', '周三', '周四', '周五', '周六', '周日']
    },
    yAxis: {

    },
    series: [{
      name: channelInfo.channelName,
      type: 'bar',
      barMaxWidth: 40,
      barWidth: '70%',
      itemStyle: {
        color: '#42C7C3'
      },
      data: channelInfo.datas.map(item => item.statValue) // [5, 20, 36, 10, 10, 20]
    }]
  };

  // 使用刚指定的配置项和数据显示图表。
  myChart.setOption(option);
}
