import moment from "moment"

// 状态
export const reportStatus = [
  { key: 1, value: '已启用' },
  { key: 0, value: '已停用' },
]
export const getStatusStr = status => {
  const obj = reportStatus.find(item => item.key === status)
  return obj ? obj.value : '-'
}

const z = num => num >= 10 ? num + '' : '0' + num


const dateFormate = (_date) => {
  return `${_date.year()}.${_date.month() + 1}.${_date.date()}`
}

// 图表  --  设置x轴
export const getXAxisArray = ({ timeType, startTime, endTime, isDataIndex }) => {
  let _result = []
  let _startDay = startTime.format('YYYYMMDD')
  if (timeType === 'today') {
    // 日 -> 分
    if (isDataIndex) {
      for (let i = 0; i <= 23; i++) {
        _result.push({
          key: `${_startDay}${z(i)}`,
          statValue: 0
        })
      }
    } else {
      for (let i = 0; i <= 23; i++) {
        _result.push(`${i}时`)
      }
    }
    return _result
  }

  if (timeType === 'week' || timeType === 'month') {
    let _startTime = moment(startTime)
    let duration = dateFormate(startTime)
    let endStr = dateFormate(endTime)
    // if (duration === endStr) {
    //   return endStr
    // }
    while (duration !== endStr) {
      if (isDataIndex) {
        _result.push({
          key: _startTime.format('YYYYMMDD'),
          statValue: 0
        })
      } else {
        _result.push(duration)
      }
      
      _startTime.date(_startTime.date() + 1)
      duration = dateFormate(_startTime)
    }
    // 最后一个
    if (isDataIndex) { 
      _result.push({
        key: _startTime.format('YYYYMMDD'),
        statValue: 0
      })
    } else {
      _result.push(dateFormate(_startTime))
    }

    return _result
  }

  if (timeType === 'year') {
    if (isDataIndex) {
      for (let i = 1; i <= 12; i++) {
        _result.push({
          key: `${startTime.format('YYYY')}${z(i)}`,
          statValue: 0
        })
      }
    } else {
      for (let i = 1; i <= 12; i++) {
        _result.push(`${i}月`)
      }
    }
  }
  
  return _result
}

// 时段统计
export const tabList =  [
  { statType: 101, title: "ARPU" },
  { statType: 102, title: "新增ARPU" },
  { statType: 201, title: "新增用户" },
  { statType: 202, title: "注册用户" },
  { statType: 203, title: "下载" },
  { statType: 204, title: "活跃用户" },
  { statType: 301, title: "充值金额" },
  { statType: 302, title: "新增充值" },
  { statType: 303, title: "VIP充值" },
  { statType: 304, title: "VIP人数" },
  { statType: 305, title: "充值用户" },
  { statType: 306, title: "新增充值用户" },
  { statType: 601, title: "付费率" },
  { statType: 602, title: "新增付费率" },
  { statType: 701, title: "通话次数" },
  { statType: 702, title: "通话率" },
  { statType: 801, title: "平均启动次数" },
]
